#include <stdio.h>
#include <stdarg.h>

#include <dsassert.h>
#include <dsdebug.h>

void dsAssert(const char *format, ...) {
  va_list args;
  
  va_start(args, format);
  dsDebugServerAssert(format, args);
  vprintf(format,args);
  va_end(args);
}

void dsAssertFatal(const char *format, ...) {
  va_list args;
  
  va_start(args, format);
  dsDebugServerAssert(format, args);
  va_end(args);
  abort();
}
