#ifndef _DSLIB_PATH_H
#define _DSLIB_PATH_H

#ifdef _WIN32
# define DS_DATADIR 		"."
# define DS_LOCALEDIR 		"\\LOCALE"
# define DS_TEMPDIR 		"."
# define DS_CONFIGDIR 		"."
# define DS_LOCKDIR		"."
# define DS_DIRECTORY_SEPARATOR '\\'
#else /* _WIN32 */
# define DS_DATADIR 		"/usr/share"
# define DS_LOCALEDIR 		DS_DATADIR "/locale"
# define DS_TEMPDIR 		"/tmp"
# define DS_CONFIGDIR 		"/etc"
# define DS_LOCKDIR		"/var/lock"
# define DS_DIRECTORY_SEPARATOR '/'
#endif /* _WIN32 */

#endif /* _DSLIB_PATH_H */
