#ifndef _DS_LCHAR_H
#define _DS_LCHAR_H

#include <dsmalloc.h>

typedef char* dslchar;
typedef const char *dschar;

int dsLocaleInit();
void dsLocaleDestroy();

int dsLocaleRegisterDomain(const char *domain, const char *dir);
int dsLocaleSetDomain(const char *domain);
dschar dsLocaleGetText(const dslchar str, const char *locale);
dschar dsLocaleGetDomainText(const char *domain, const dslchar str, const char *locale);


int dsLocaleExchangeString(DSMallocContext mctx, dslchar *dst, const char *src);




/*

Implement "opcItem" using this lchars.....

typedef char* lstring;	// string 
typedef char* lchar;	// character


int dsLStringImportString(lstring *dst, const char *src);
int dsLStringImportStringBytes(lstring *dst, const char *src, unsigned long bytes);
int dsLStringExchangeString(lstring *dst, const lstring src);
int dsLStringExchangeStringBytes(lstring *dst, const lstring src, unsigned long bytes);
int dsLStringExchangeStringSymbols(lstring *dst, const lstring src, unsigned long symbols);
int opcLStringGetCharacter

think on this....
Standart (Non-Unicode single byte) character
Unicode multi-byte character
UTF-8 string 


int dsLCharLength(const lstring str);	// Number of symbols used by string
int dsLCharSize(const lstring str);	// Number of bytes used by string
*/

#endif /* _DS_LCHAR_H */
