#ifndef _OPC_ITEM_PROPERTY_H
#define _OPC_ITEM_PROPERTY_H

#include <dstime.h>
#include <dsdata.h>
#include <dsxml.h>

#include <opcproperty.h>

typedef struct OPCItemPropertyContextT *OPCItemPropertyContext;

struct OPCItemPropertyContextT {
    OPCPropertyContext prop;
    DSDataS value;
    xmlNodePtr xmlvalue;
};
typedef struct OPCItemPropertyContextT OPCItemPropertyContextS;

int opcItemPropertyInit(OPCItemPropertyContext ctx, OPCPropertyContext prop);
void opcItemPropertyFree(OPCItemPropertyContext ctx);

int opcItemPropertyGetValue(OPCItemPropertyContext ctx, void *value);
int opcItemPropertySetValue(OPCItemPropertyContext ctx, void *value);
xmlNodePtr opcItemPropertyGetNode(OPCItemPropertyContext ctx);

#endif /* _OPC_ITEM_PROPERTY_H */
