#include <stdio.h>

#include <opclib.h>
#include <dsassert.h>

#include <opc.h>
#include <opclocale.h>

OPCLocale opcLocaleCreate() {
    OPCLocale ctx;
    ctx = (OPCLocale)malloc(sizeof(struct OPCLocaleT));
    return ctx;
}

void opcLocaleDestroy(OPCLocale ctx) {
    ds_assert_return(ctx);
    free(ctx);
}

void opcLocaleSetLocale(OPCLocale ctx, const char *locale) {
    ds_assert_return(ctx);
    strncpy(ctx->locale,locale,5);
    ctx->locale[5]=0;
}

void opcLocaleSetCharset(OPCLocale ctx, const char *charset) {
    ds_assert_return(ctx);
    strncpy(ctx->charset,charset,MAX_CHARSET_CHARS);
    ctx->charset[MAX_CHARSET_CHARS]=0;
}
