#ifndef _OPC_MODULE_H
#define _OPC_MODULE_H

#include <dslib_error.h>

#include <dsmodule.h>
#include <dsdebug.h>
#include <dsmalloc.h>

int opcModuleInit();
void opcModuleDestroy();

#define opcModuleNewModule(module, type) \
     (OPC##type##Context)dsModuleSubConstructor(DS_MODULE(module), (DSCreateContextFunction)opc##type##CreateContext)

#define opcNewModule(type, mctx) \
     (OPC##type##Context)dsModuleConstructor(mctx, OPC_MODULE_##type, sizeof(OPC##type##ContextS))

#define opcDestroyModule(type, ctx) \
    dsModuleDestructor(DS_MODULE(ctx), (DSFreeContextFunction)opc##type##FreeContext)

#define opcZeroModule(type, ctx) \
    memset(ctx, 0, sizeof(OPC##type##ContextS))

#endif /* _OPC_MODULE_H */
