#ifndef _OPC_STANDARD_PROPERTIES_H
#define _OPC_STANDARD_PROPERTIES_H

#include <opclib.h>
#include <opcproperties.h>

int opcPropertiesCreateTypes();
void opcPropertiesDestroyTypes();

typedef struct OPCStandardPropertyT *OPCStandardProperty;

struct OPCStandardPropertyT {
    char *name;
    char *xmlnamespace;
    OPCPropertyType proptype;
    unsigned short int id;
    DSBinaryTypeStandard type;
    const void *attr;				/* Enumerations, OPCBinary */
    char *description;
};

int opcPropertiesRegisterStandard(OPCPropertiesContext ctx);


#endif /* _OPC_STANDARD_PROPERTIES_H */

