include Makefile.tmp.ds.incl
include Makefile.tmp.opc.incl
include Makefile.tmp.srv.incl

ROOT_PATH=..

include Makefile.fp.in

WINLABVIEW = libopclvfp.dll
MICROWEB = microweb.lib


ALL_HEADERS =
XML_INCLUDE = C:\DEVEL\LIBXML\include
XSLT_INCLUDE = C:\DEVEL\LIBXML\include
INC_SRV = /I..\srv\ /I..\srv\frontend /I..\srv\backend /I..\srv\include
OBJECT_DIRECTORY = fpobj\


all: $(LIBRARY_DS)fp_a.lib $(LIBRARY_OPC)fp_a.lib $(WINLABVIEW)

clean: subdirs_clean
	- del fpobj\*.obj *.lib *.dll *.exp *.exe opc\servers\*.dll ..\labview\*.dll ..\labview\*.exp ..\labview\*.lib

$(LIBRARY_DS)fp_a.lib: $(ALL_OBJECTS_DS)
	$(AR) $(AR_FLAGS) /OUT:$(LIBRARY_DS)fp_a.lib $(ALL_OBJECTS_DS)

$(LIBRARY_OPC)fp_a.lib: $(ALL_OBJECTS_OPC)
	$(AR) $(AR_FLAGS) /OUT:$(LIBRARY_OPC)fp_a.lib $(ALL_OBJECTS_OPC)

$(WINLABVIEW): $(LABVIEW_HTTP_OBJECTS) $(LIBRARY_DS)fp_a.lib $(LIBRARY_OPC)fp_a.lib $(MICROWEB) fpobj/microweb.obj
	$(LD) $(LDFLAGS) $(LABVIEW_HTTP_OBJECTS) fpobj/microweb.obj /DLL /OUT:$(WINLABVIEW) $(LIBS) $(WINLIBS) $(EXTRALIBS) $(MICROWEB)

$(MICROWEB): $(MICROWEB_OBJECTS)
	$(AR) $(AR_FLAGS) /OUT:$(MICROWEB) $(MICROWEB_OBJECTS)


include Makefile.tmp.ds.rules
include Makefile.tmp.opc.rules
include Makefile.tmp.srv.rules
