#ifndef _DS_OOP_H
#define _DS_OOP_H

typedef void (*DSDestroyContextFunction)(void *ctx);
typedef void (*DSFreeContextFunction)(void *ctx);
typedef void *(*DSCreateContextFunction)(void *mctx);
typedef int (*DSInitContextFunction)(void *ctx, void *options);
typedef void (*DSReturnFunction)(void *, void *);
typedef int (*DSSendFunction)(void *ctx, const void *data, unsigned long length);
typedef int (*DSPipeFunction)(void *ctx, const void *data, unsigned long length);


void dsDestroyContextSkip(void *ctx);

#endif /* _DS_OOP_H */
