#include <stdio.h>

#include <dsconnectionserver.h>
#include <dsconnection.h>

#define BufferSize 16384

main() {
    int err;
    size_t readed;
    char *buf[BufferSize+1];
    DSConnectionServerContext srv;
    DSConnectionServerOptionsS opts;
    DSConnectionContext con;
    
    dsLibInit();

    dsConnectionServerInitDefaultOptions(&opts);
    dsConnectionServerOptionsEnableLocal(&opts, "/tmp/adas/log.socket");
    dsConnectionServerOptionsSetLocalPath(&opts, NULL);
    dsConnectionServerOptionsSetLocalExtension(&opts, NULL);

    srv = dsConnectionServerCreateContext(NULL);
    err = dsConnectionServerInitContext(srv, &opts);
    if (!err) {
	con = dsConnectionServerAccept(srv);
	if (con) {
	    puts("accepted");
	    while (!dsConnectionRead(con, buf, BufferSize, 0, &readed)) {
		fwrite(buf, readed, 1, stdout);
	    }
	    dsConnectionDestroyContext(con);
	}
    }
    
    dsLibFree();
}
