#ifndef _DS_SYSTEM_SERVICE
#define _DS_SYSTEM_SERVICE

#include <dsmalloc.h>

struct DSSystemServiceContextT {
    DSMallocContext malloc;
    char *name;    
};

typedef struct DSSystemServiceContextT DSSystemServiceContextS;
typedef struct DSSystemServiceContextT *DSSystemServiceContext;

DSSystemServiceContext dsSystemServiceCreateContext(DSMallocContext mctx);
int dsSystemServiceInitContext(DSSystemServiceContext ctx, const char *name);
void dsSystemServiceFreeContext(DSSystemServiceContext ctx);
void dsSystemServiceDestroyContext(DSSystemServiceContext ctx);

int dsSystemServiceDaemonize();

#endif /* _DS_SYSTEM_SERVICE */
