#ifndef _OPCLIB_CONFIG_H
#define _OPCLIB_CONFIG_H

#include <dslib_config.h>

#define opc_string(str) str
#define OPC_GETTEXT_DOMAIN "opclib"

#define OPC_VERSION_MAJOR		"0"
#define OPC_VERSION_MINOR		"1"
#define OPC_VERSION_BUILD		1
#define OPC_VENDOR_INFO			opc_string("DarkSoft")


#define OPC_EXTENSION_HDR 1
#define opchdr_namespace "http://ipe.fzk.de/OPCHDRDA/"

#ifdef _OPC_XMLDA_REQUESTPOOL_C
static const char *opc_interfaces[2] = { "XML_DA_Version_1_0", NULL };
static const char *opc_extensions[2][2] = { {"HDR", NULL }, {NULL}};
#endif /* _OPC_REQUESTPOOL_C */


/* Put in configuration */
#define opc_max_items			10
#define opc_max_paths			20

#define opc_default_locale		"en"
#define opc_default_charset		"UTF-8"

#define OPC_SERVER_CONFIG_MAX_ELEMENTS_RETURNED		4096

#define opc_supported_locales_number	50
#ifdef _OPC_C
static const char *opc_supported_locales[4]={"en","de","ru",NULL};
#endif /* _OPC_C */

#endif /* _OPCLIB_CONFIG_H */
