#define _OPC_ERROR_C

#include <opclib.h>
#include <opcerror.h>

int opcErrorInit() {
    int err;
    
    err = dsErrorInit();
    if (err) return err;
    
    err = dsErrorAddErrors(OPC_GETTEXT_DOMAIN, opc_errors, opc_errors_number);
    if (err) opcErrorDestroy();
    return err;
}

void opcErrorDestroy() {
    dsErrorDestroy();
}
