#ifndef _OPC_DEFINES_H
#define _OPC_DEFINES_H

#include <opclib_path.h>

#define OPCSERVER_LOCALEDIR DS_LOCALEDIR
#define OPCSERVER_DATADIR DS_DATADIR
#define OPCSERVER_TEMPDIR DS_TEMPDIR
#define OPCSERVER_CONFIGDIR DS_CONFIGDIR

#ifdef _WIN32
# define OPC_DIR			OPCSERVER_DATADIR "\\opc"
# define OPC_SERVERS_DIR		OPC_DIR "\\servers"
# define OPC_TEMP_DIR			OPCSERVER_TEMPDIR "\\opc"
# define OPC_DEFAULT_CONFIG		OPCSERVER_CONFIGDIR "\\opc.conf"

# define OPC_FRONTEND_EXTENSION		".frontend.socket"
# define OPC_BACKEND_EXTENSION		".backend.socket"
#else /* _WIN32 */
# define OPC_DIR			OPCSERVER_DATADIR "/opc"
# define OPC_SERVERS_DIR		OPC_DIR "/servers"
# define OPC_TEMP_DIR			OPCSERVER_TEMPDIR "/opc"
# define OPC_DEFAULT_CONFIG		OPCSERVER_CONFIGDIR "/opc.conf"

# define OPC_FRONTEND_EXTENSION		"/frontend.socket"
# define OPC_BACKEND_EXTENSION		"/backend.socket"
#endif /* _WIN32 */

#define MAX_SERVER_NAME 		32
#define OPC_BUFFER_SIZE			65535
#define OPC_REQRESP_BUFFER_SIZE 	255
#define OPC_MANTAIN_DELAY 		30 /* seconds */

#endif /* _OPC_DEFINES_H */
